Plesk - переход с PHP5 на PHP4

Статьи Apache, ISS и др. серверы

Дата публикации: 17.09.2007
Автор статьи:
Источник: (Оригинал: Перейти)

 
Взято с http://www.opennet.ru


Предисловие:

Писал только для заметок то как это делается, за 5 минут. Поэтому ругайте, дополняйте, пишите свой опыт.

Процесс :

Первоначально нужно установить следующие компоненты используя yum,
up2date или что у Вас там установлено:

up2date -i zlib-devel webalizer unixODBC unixODBC-devel tcl tcl-devel \
sysstat sendmail-devel rwho pspell-devel php-devel php-imap \
php-ldap php-mysql php-odbc perl-Crypt-SSLeay perl-DBD-Pg perl-DB_File \
perl-DateManip perl-HTML-Parser perl-HTML-Tagset perl-Parse-Yapp \
perl-Time-HiRes perl-URI perl-XML-Dumper perl-XML-Encoding \
perl-XML-Grove perl-XML-Parser perl-XML-Twig perl-libwww-perl \
perl-libxml-enno perl-libxml-perl perl-suidperl pciutils-devel \
patchutils openssl-perl openssl-devel net-snmp net-snmp-devel \
net-snmp-libs net-snmp-perl net-snmp-utilsmysql-devel mrtg \
mod_perl mod_perl-devel mod_ssl mailman libxslt libxslt-devel \
libxml libxml-devel libtool libstdc+±devel libpng-devel libpng10 \
libpng10-devel libjpeg-devel libdbi-dbd-mysql joe htdig htdig-web \
gd gd-devel compat-libstdc++ compat-libstdc+±devel compat-db \
compat-gcc compat-gcc-c++ compat-glibc bzip2-devel bind bind-chroot \
bind-devel ImageMagick ImageMagick-devel ImageMagick-perl MyODBC \
curl-devel openssl-devel flex openldap-devel libmcrypt-devel \
libmhash-devel js js-devel mcrypt mcrypt-devel openldap openldap-devel \
httpd-devel


или

yum install -y zlib-devel webalizer unixODBC unixODBC-devel tcl tcl-devel \
sysstat sendmail-devel rwho pspell-devel php-devel php-imap php-ldap \
php-mysql php-odbc perl-Crypt-SSLeay perl-DBD-Pg perl-DB_File perl-DateManip \
perl-HTML-Parser perl-HTML-Tagset perl-Parse-Yapp perl-Time-HiRes perl-URI \
perl-XML-Dumper perl-XML-Encoding perl-XML-Grove perl-XML-Parser perl-XML-Twig \
perl-libwww-perl perl-libxml-enno perl-libxml-perl perl-suidperl pciutils-devel \
patchutils openssl-perl openssl-devel net-snmp net-snmp-devel net-snmp-libs \
net-snmp-perl net-snmp-utilsmysql-devel mrtg mod_perl mod_perl-devel mod_ssl \
mailman libxslt libxslt-devel libxml libxml-devel libtool libstdc+±devel \
libpng-devel libpng10 libpng10-devel libjpeg-devel libdbi-dbd-mysql joe htdig \
htdig-web gd gd-devel compat-libstdc++ compat-libstdc+±devel compat-db \
compat-gcc compat-gcc-c++ compat-glibc bzip2-devel bind bind-chroot \
bind-devel \ImageMagick ImageMagick-devel ImageMagick-perl MyODBC \
curl-devel openssl-devel flex openldap-devel libmcrypt-devel \
libmhash-devel js js-devel mcrypt mcrypt-devel openldap openldap-devel \
httpd-devel


Самое главное установить httpd-devel, т.к. именно с этим пакетом
установиться apxs для apache'а, и установиться он должен в /usr/sbin.

Configure:

'./configure' '--host=i686-redhat-linux-gnu' \
'--build=i686-redhat-linux-gnu' '--target=i386-redhat-linux-gnu' \
'--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' \
'--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' \
'--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' \
'--libexecdir=/usr/libexec' '--localstatedir=/var' \
'--sharedstatedir=/usr/com' '--mandir=/usr/share/man' \
'--infodir=/usr/share/info' '--cache-file=../config.cache' \
'--with-config-file-path=/etc' '--with-config-file-scan-dir=/etc/php.d' \
'--enable-force-cgi-redirect' '--disable-debug' '--enable-pic' \
'--disable-rpath' '--enable-inline-optimization' '--with-bz2' \
'--with-db4=/usr' '--with-curl' '--with-exec-dir=/usr/bin' \
'--with-freetype-dir=/usr' '--with-png-dir=/usr' '--with-gd' \
'--enable-gd-native-ttf' '--without-gdbm' '--with-gettext' \
'--with-ncurses' '--with-gmp' '--with-iconv' '--with-jpeg-dir=/usr' \
'--with-openssl' '--with-png' '--with-pspell' '--with-regex=system' \
'--with-xml' ' --with-expat-dir=/usr' \
'--with-dom=shared,/usr' '--with-xmlrpc=shared' \
'--with-zlib' '--with-layout=GNU' '--enable-bcmath' \
'--enable-exif' '--enable-ftp' '--enable-magic-quotes' \
'--enable-safe-mode' '--enable-sockets' '--enable-sysvsem' \
'--enable-sysvshm' '--enable-track-vars' \
'--enable-trans-sid' '--enable-yp' '--enable-wddx' \
'--with-pear=/usr/share/pear' \
'--with-kerberos=/usr/kerberos' '--with-ldap=shared' \
'--with-mcrypt' '--enable-memory-limit' '--enable-bcmath' \
'--enable-shmop' '--enable-calendar' '--enable-dbx' \
'--enable-dio' '--enable-mcal' '--enable-mbstring=shared' \
'--enable-mbstr-enc-trans' '--enable-mbregex' \
'--with-apxs2=/usr/sbin/apxs' '--with-mysql'

sed -i 's/\-lltdl//g' Makefile
make
make install


Строка «LoadModule …» автоматически добавляется в
/etc/httpd/conf/httpd.conf, остается только убить php5 и включить
добавить апликейшна php.

vi /etc/httpd/conf/httpd.conf


Добавить строку:

AddType application/x-httpd-php. php


Далее

mv /etc/httpd/conf.d/php.conf /etc/httpd/conf.d/php.conf1
mv /etc/php.ini /etc/php.ini1
mv /etc/php.d /etc/php.d1
mkdir /etc/php.d


Дабы сохранить частичную (:)) целостность работы PHP5 оставим ему lib mysql:

cp /etc/php.d1/mysql.conf /etc/php.d/


При этом php4 будет ругаться на неправильную библиотеку mysql, что роли
не играет, т.к. mysql включен в php4, а не грузиться модулем.

 

Взято с http://www.opennet.ru

Copyright © 2006—2011 "Портал RusCentOS"
Хостинг нашего сайта в ООО "КосмоХост" (на HostCMS v. 4.0)

Ссылки на сайты партнеров